@echo off
echo ------------------------------------------------------
echo Setup 900E/950E NDIS OS/2 Driver under LANManager 2.1
echo ------------------------------------------------------
echo [Format:]
echo  setupos2 x: y:
echo  where  x:  -  a: or b: or ... (source driver)
echo         y:  -  c: or d: or ... (destination driver)
echo ------------------------------------------------------
echo [Correct command format ?]
echo  - Yes .. Press any key to continue
echo  - No  .. Press Ctrl-C to break
echo ------------------------------------------------------
pause
cls

echo --------------------------------------------------------------------
echo Make a new directory NDEEM under \LANMAN\DRIVERS\ETHERNET ...
pause
MD   %2\LANMAN\DRIVERS\ETHERNET\NDEEM

echo --------------------------------------------------------------------
echo Copy files to the new directory ...
pause
COPY %1\NDIS\SETUP\NDEEM\README.TXT  %2\LANMAN\DRIVERS\ETHERNET\NDEEM
COPY %1\NDIS\SETUP\NDEEM\PROTOCOL.INI  %2\LANMAN\DRIVERS\ETHERNET\NDEEM
COPY %1\NDIS\NDEEM.OS2  %2\LANMAN\DRIVERS\ETHERNET\NDEEM

echo --------------------------------------------------------------------
echo Copy file NDEEM.NIF to directory \LANMAN\DRIVERS\NIF ...
pause
COPY %1\NDIS\SETUP\NDEEM\NIF.OS2  %2\LANMAN\DRIVERS\NIF\NDEEM.NIF

CD   %2\LANMAN
%2

echo --------------------------------------------------------------------
echo -- End of Setup ! --
echo --------------------------------------------------------------------
echo - Current configuration ... IRQ 3  Memory D0000  V
echo   If you want to change the configuration, please modify the following
echo   line in the \LANMAN\DRIVERS\NIF\NDEEM.NIF file before run SETUP.EXE
echo   of LANManager.
echo   ... DeviceDriver = NDEEM.OS2 I3 M0xD0000 V
echo --------------------------------------------------------------------
echo - Please run SETUP.EXE of the LANManager to activate the driver.
echo --------------------------------------------------------------------
echo - Any problem, please refer to the [Section 2-2] of the README file.
echo --------------------------------------------------------------------
@echo on
